﻿/**
 *	Throbber class
 *
 *	© Claudio Procida 2005-2008
 *
 *	Disclaimer
 *
 *	This software library (from now, the "Software") and the accompanying materials
 *	are provided “AS IS” without warranty of any kind. IN NO EVENT SHALL THE AUTHOR(S) BE
 *	LIABLE TO ANY PARTY FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES,
 *	INCLUDING LOST PROFITS, ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN
 *	IF THE AUTHOR(S) HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. The entire risk as to
 *	the results and performance of this software is assumed by you. If the software is
 *	defective, you, and not the author, assume the entire cost of all necessary servicing,
 *	repairs and corrections. If you do not agree to these terms and conditions, you may not
 *	install or use this software.
 */

/**
 *	Variables
 */

/**
 *	Constants
 */

/**
 *	Functions
 */
 
function Throbber() {

	// This is a rather clumsy and rudimental throbber

	this.index = 1;
	this.timer = null;
	this.running = false;
	this.count = 0;

	this.animate = function() {
		getObj("throbber").src = "img/throbber/throbber_" + this.index + ".png";
		this.index = this.index > 11 ? 1 : this.index + 1;
	};
	this.start = function() {
		//alert("Throbber: " + (++this.count));
		if (this.running)
			return;
		this.running = true;
		if (this.timer)
			clearInterval(this.timer);
		this.timer = setInterval("throbber.animate()", 67);
	};
	this.stop = function() {
		//alert("Throbber: " + (--this.count));

		if (!this.running)
			return;
		this.running = false;
		getObj("throbber").src = "img/null.gif";
		clearInterval(this.timer);
	};
}